[RTL][Contacts]Text on the E-mail button is still left-aligned.

RESOLVED FIXED

Status

Firefox OS
Gaia::Contacts
P2
normal
RESOLVED FIXED
2 years ago
2 years ago

People

(Reporter: Autumn.Qiu(Leave from Mozilla), Assigned: kaze)

Tracking

(Blocks: 1 bug)

unspecified
ARM
Gonk (Firefox OS)

Firefox Tracking Flags

(b2g-v2.5 affected, b2g-master verified)

Details

(Whiteboard: [2.5-rtl-test-run])

Attachments

(3 attachments)

(Reporter)

Description

2 years ago
Created attachment 8682373 [details]
con_email.png.png

[1.Description]:
[RTL][Contacts][Aries kk_v2.6][Flame kk_v2.5&v2.6]Set your phone language to Arabic and launch Contacts, tap a contact which has E-mail information, observe the E-mail button, text on it is still left-aligned.
See attachment: con_email.png

[2.Testing Steps]: 
1. Set your phone language to Arabic and launch Contacts. 
2. Tap a contact which has E-mail information.
3. Observe the E-mail button. 

[3.Expected Result]: 
In step 3, text on the  E-mail button should be right-aligned.

[4.Actual Result]: 
In step 3, text on the  E-mail button is still left-aligned.

[5.Reproduction build]: 
Device: AriesKK_2.6[Affected]
Build ID               20151103000930
Gaia Revision          7954ff0cbd794a35499a1082bed273598f82ee6f
Gaia Date              2015-11-02 17:35:17
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/9f69202d82752e093a653a8f15b0274e347db33a
Gecko Version          45.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20151102.233051
Firmware Date          Mon Nov  2 23:30:58 UTC 2015
Bootloader             s1

Device: FlameKK_v2.6[Affected]
Build ID               20151102150204
Gaia Revision          7954ff0cbd794a35499a1082bed273598f82ee6f
Gaia Date              2015-11-02 17:35:17
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/6275cd9c71b76891f6b6585dabc687bc443ab877
Gecko Version          45.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20151102.182914
Firmware Date          Mon Nov  2 18:29:28 EST 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

Device: Flame_v2.5[Affected]
Build ID               20151102004502
Gaia Revision          91cac94948094cfdcd00cba5c6483e27e80cb3b0
Gaia Date              2015-10-28 20:32:15
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g44_v2_5/rev/b6b410d4610da18f5e43750e67ed2c56a0c0f812
Gecko Version          44.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20151102.042848
Firmware Date          Mon Nov  2 04:29:02 EST 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

[6.Reproduction Frequency]: 
Always Recurrence,5/5

[7.TCID]: 
15396
(Reporter)

Updated

2 years ago
QA Whiteboard: rtl-impact
status-b2g-v2.5: --- → affected
status-b2g-master: --- → affected

Updated

2 years ago
Priority: -- → P2
(Assignee)

Updated

2 years ago
Assignee: nobody → kaze

Comment 1

2 years ago
Hi Kaze,
Do you have any update to this bug?
Thanks
Flags: needinfo?(kaze)
Created attachment 8687035 [details] [review]
[gaia] fabi1cazenave:buttons-bug1221015 > mozilla-b2g:master
(Assignee)

Updated

2 years ago
Flags: needinfo?(kaze)
Attachment #8687035 - Flags: review?(borja.bugzilla)

Updated

2 years ago
Status: NEW → ASSIGNED
(Assignee)

Comment 3

2 years ago
Comment on attachment 8687035 [details] [review]
[gaia] fabi1cazenave:buttons-bug1221015 > mozilla-b2g:master

Francisco, can you have a look please?
Attachment #8687035 - Flags: review?(borja.bugzilla) → review?(francisco)
Comment on attachment 8687035 [details] [review]
[gaia] fabi1cazenave:buttons-bug1221015 > mozilla-b2g:master

LGTM
Attachment #8687035 - Flags: review?(francisco) → review+
Landed:

https://github.com/mozilla-b2g/gaia/commit/8853a6e73b6b172ac97471cdb445e97f8d1cee08
Status: ASSIGNED → RESOLVED
Last Resolved: 2 years ago
Resolution: --- → FIXED
Hi Autumn,

    Could you please help verify this bug?

Thank you very much.
Flags: needinfo?(qiutian)
(Reporter)

Comment 7

2 years ago
This bug has been verified as "pass" on the latest build of Aries KK Master and Flame KK Master 512mb by the STR in comment 0.

Actual results: Text on the E-mail button is right-aligned.

See attachment: Verified_Master_mail.png
Reproduce rate: 0/10

Device: Aries KK Master(Pass)
Build ID               20151130132518
Gaia Revision          702773bee0b70e479ccebe5e061f571e977bc376
Gaia Date              2015-11-30 02:51:04
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/a18630f9ab42ddfde03ba8c7757a42069c48c7ed
Gecko Version          45.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20151130.124429
Firmware Date          Mon Nov 30 12:44:37 UTC 2015
Bootloader             s1

Device: Flame KK Master 512mb(Pass)
Build ID               20151130150225
Gaia Revision          702773bee0b70e479ccebe5e061f571e977bc376
Gaia Date              2015-11-30 02:51:04
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/a18630f9ab42ddfde03ba8c7757a42069c48c7ed
Gecko Version          45.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20151130.184049
Firmware Date          Mon Nov 30 18:40:59 EST 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0
Flags: needinfo?(qiutian)
(Reporter)

Comment 8

2 years ago
Created attachment 8693945 [details]
Verified_Master_mail.png
(Reporter)

Updated

2 years ago
status-b2g-master: affected → verified
You need to log in before you can comment on or make changes to this bug.